Page MenuHomePhabricator

1.33.0-wmf.23 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.33.0-wmf.23
Release Date
1553472000

2019 week 13 1.33-wmf.23 Changes wmf/1.33.0-wmf.23

This MediaWiki Train Deployment is scheduled for the week of Monday, March 25th:

Monday March 25thTuesday, March 26thWednesday, March 27thThursday, March 28thFriday
SWAT deployments only.Branch wmf.23 and deploy to Group 0 Wikis.Deploy wmf.23 to Group 1 Wikis.Deploy wmf.23 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.23 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.33.0-wmf.22
Next: 1.33.0-wmf.24

Event Timeline

greg created this task.Oct 10 2018, 5:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 10 2018, 5:23 PM
greg triaged this task as Normal priority.Oct 10 2018, 7:26 PM

Mentioned in SAL (#wikimedia-operations) [2019-03-26T18:21:27Z] <marxarelli> starting branch cut for 1.33.0-wmf.23 (T206677)

Mentioned in SAL (#wikimedia-operations) [2019-03-26T18:49:04Z] <marxarelli> branch 1.33.0-wmf.23 was cut successfully (T206677)

This comment was removed by IKhitron.

Mentioned in SAL (#wikimedia-operations) [2019-03-28T19:19:20Z] <marxarelli> 1.33.0-wmf.23 deployed for all wikis (T206677)

dduvall closed this task as Resolved.Mar 28 2019, 7:42 PM